Product Package
Endpoints for Product Package
Stay in the loop 🚀
Endpoints for Product Package
GET/api/v1/product-packages
Authentication: Bearer token (JWT)
pagenumberOptional1minimum: 1takenumberOptional10minimum: 1maximum: 50orderDirectionstringOptional"desc"Allowed values: "asc", "desc"orderBystringOptional"createdAt"Allowed values: "createdAt", "id", "updatedAt", "name", "status", "recurringPrice", "price"statusarray of stringOptional"draft", "published", "archived"billingPeriodarray of stringOptional"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"recurringPriceMinnumberOptionalminimum: 0recurringPriceMaxnumberOptionalminimum: 0priceMinnumberOptionalminimum: 0priceMaxnumberOptionalminimum: 0createdAtFromstringOptionalcreatedAtTostringOptionalupdatedAtFromstringOptionalupdatedAtTostringOptionalisAvailableViaSlugbooleanOptionalisAvailableOnMyPagebooleanOptionalisAvailableForManualOrderViaAdminbooleanOptionalenableGiftSubscriptionbooleanOptionalnamestringOptionalitemsarray of PackageResponseRequired40 fieldsitemspaymentProvidersarray of PAYMENT_PROVIDERRequired when parent is presentField path: items[].paymentProviderscurlcurl https://api.subrite.no/api/v1/product-packages \
--header 'Authorization: Bearer <token>'POST/api/v1/product-packages
Authentication: Bearer token (JWT)
multipart/form-datasalesTitlestringRequiredslugstringOptionalsubscriptionPlanIdnumberOptionalminimum: 1GET/api/v1/product-packages/free
Authentication: Bearer token (JWT)
packNamestringRequired when parent is presentGET/api/v1/product-packages/manual-order
Authentication: Bearer token (JWT)
GET/api/v1/product-packages/all
Authentication: Bearer token (JWT)
statusarray of stringOptional"draft", "published", "archived"billingPeriodarray of stringOptional"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"recurringPriceMinnumberOptionalminimum: 0GET/api/v1/product-packages/{id}
Authentication: Bearer token (JWT)
idnumberRequiredSame fields as Create a new package (201).
DELETE/api/v1/product-packages/{id}
Authentication: Bearer token (JWT)
idnumberRequiredThis response has no body.
PATCH/api/v1/product-packages/{id}
Authentication: Bearer token (JWT)
idnumberRequiredmultipart/form-datasalesTitlestringOptionalslugstringOptionalGET/api/v1/product-packages/slug/{tenantId}/{slug}
Authentication: Bearer token (JWT)
tenantIdnumberRequiredslugstringRequiredGET/api/v1/product-packages/id/{tenantId}/{id}/slug
Authentication: Bearer token (JWT)
tenantIdnumberRequiredidnumberRequiredPATCH/api/v1/product-packages/display-order/all
Authentication: Bearer token (JWT)
application/jsonidnumberRequired when parent is presentdisplayOrdernumberRequired when parent is presentPOST/api/v1/product-packages/price-by-quantity
Authentication: Bearer token (JWT)
application/jsonpackageIdnumberRequiredminimum: 1productsarray of OptionalProductWithQuantityRequiredPOST/api/v1/product-packages/subscribe
Authentication: Bearer token (JWT)
application/jsonpackageIdnumberRequiredminimum: 1optionalProductsarray of OptionalProductWithQuantityOptionalGET/api/v1/product-packages/duplicated-packages-with-slug/{tenantId}/{slug}
Authentication: Bearer token (JWT)
tenantIdnumberRequiredslugstringRequiredemailstring (email)RequiredGET/api/v1/product-packages/packages-with-subscription-plans/{tenantId}
Authentication: Bearer token (JWT)
tenantIdnumberRequiredemailstring (email)OptionalphonestringOptionalmaxLength: 20GET/api/v1/product-packages/repeat-purchase-eligibility/{tenantId}/{packageId}
Returns { verdict: allow | warn | block }. Shares the same evaluator as the payment-intent enforcement (SUBRITE-467) so checkout and the backend never drift.
Authentication: Bearer token (JWT)
tenantIdnumberRequiredpackageIdnumberRequiredemailstring (email)OptionalphonestringOptional"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"repeatPurchaseControlRepeatPurchaseControlRequired when parent is presentField path: items[].repeatPurchaseControl"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberField path: items[].repeatPurchaseCooldownDaysdisplayOrdernumberField path: items[].displayOrderseoSeoRequired when parent is presentField path: items[].seo2 fieldsitems[].seonoIndexbooleanRequired when parent is presentField path: items[].seo.noIndexnoFollowbooleanRequired when parent is presentField path: items[].seo.noFollowonboardingWelcomeRedirectCTATextTranslationRequired when parent is presentCan be nullField path: items[].onboardingWelcomeRedirectCTAText5 fieldsitems[].onboardingWelcomeRedirectCTATextenstringRequired when parent is presentField path: items[].onboardingWelcomeRedirectCTAText.ennostringRequired when parent is presentField path: items[].onboardingWelcomeRedirectCTAText.nosvstringField path: items[].onboardingWelcomeRedirectCTAText.svdastringField path: items[].onboardingWelcomeRedirectCTAText.dakeystringField path: items[].onboardingWelcomeRedirectCTAText.keycustomPeriodTextTranslationRequired when parent is presentCan be nullField path: items[].customPeriodText5 fieldsitems[].customPeriodTextenstringRequired when parent is presentField path: items[].customPeriodText.ennostringRequired when parent is presentField path: items[].customPeriodText.nosvstringField path: items[].customPeriodText.svdastringField path: items[].customPeriodText.dakeystringField path: items[].customPeriodText.keysubscriptionCountnumberRequired when parent is presentField path: items[].subscriptionCountproductsarray of PackProductRequired when parent is presentCan be nullField path: items[].products14 fieldsitems[].productsproductIdnumberRequired when parent is presentField path: items[].products[].productIdnamestringRequired when parent is presentField path: items[].products[].namepricenumberRequired when parent is presentField path: items[].products[].pricecurrencystringRequired when parent is presentField path: items[].products[].currencytaxnumberRequired when parent is presentField path: items[].products[].taxbasePricenumberRequired when parent is presentField path: items[].products[].basePricerecurringPricenumberRequired when parent is presentField path: items[].products[].recurringPriceisOptionalbooleanRequired when parent is presentField path: items[].products[].isOptionalproductCategorystringRequired when parent is presentField path: items[].products[].productCategory"digital_subscription", "physical_subscription", "physical", "event_ticket", "PHYSICAL_PRODUCT"circulationTypeCIRCULATION_TYPEField path: items[].products[].circulationType"subscription", "single_copy"propertiesOptionalProductPropertiesRequired when parent is presentField path: items[].products[].propertiesrecurringPropertiesOptionalProductPropertiesRequired when parent is presentField path: items[].products[].recurringPropertiesshippingChargesarray of ShippingChargeRequired when parent is presentField path: items[].products[].shippingChargesNested fields omitted: depth limit.descriptionstringRequired when parent is presentField path: items[].products[].descriptionpricenumberRequired when parent is presentField path: items[].price0recurringPricenumberRequired when parent is presentField path: items[].recurringPriceisAvailableOnMyPagebooleanRequired when parent is presentField path: items[].isAvailableOnMyPageisAvailableForManualOrderViaAdminbooleanRequired when parent is presentField path: items[].isAvailableForManualOrderViaAdmincustomInputFieldsCustomInputFieldsRequired when parent is presentField path: items[].customInputFields3 fieldsitems[].customInputFieldsmemberTypebooleanRequired when parent is presentField path: items[].customInputFields.memberTypeinvoiceAddressbooleanRequired when parent is presentField path: items[].customInputFields.invoiceAddresscitybooleanRequired when parent is presentField path: items[].customInputFields.citysalesTitlestringRequired when parent is presentField path: items[].salesTitleuuidstringRequired when parent is presentField path: items[].uuidsubscriptionPlanIdnumberRequired when parent is presentField path: items[].subscriptionPlanIdslugstringRequired when parent is presentField path: items[].slugimagestringRequired when parent is presentField path: items[].imagenamestringRequired when parent is presentField path: items[].namedescriptionobjectRequired when parent is presentField path: items[].descriptionbillingPeriodstringRequired when parent is presentField path: items[].billingPeriod"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequired when parent is presentField path: items[].billingPeriodUnit"day", "week", "month", "year"billingPeriodFrequencynumberRequired when parent is presentField path: items[].billingPeriodFrequencystatusstringRequired when parent is presentField path: items[].status"draft", "published", "archived"isAvailableViaSlugbooleanRequired when parent is presentField path: items[].isAvailableViaSlugallowSameSubscriptionChangebooleanRequired when parent is presentField path: items[].allowSameSubscriptionChangeallowDifferentSubscriptionSwitchbooleanRequired when parent is presentField path: items[].allowDifferentSubscriptionSwitchtenantIdnumberRequired when parent is presentField path: items[].tenantIdorderCtaLabelTranslationRequired when parent is presentField path: items[].orderCtaLabelNested fields omitted: field limit.introPeriodFixedEndDatestring (date-time)Required when parent is presentField path: items[].introPeriodFixedEndDatepackageProductsarray of PackageProductRequired when parent is presentField path: items[].packageProductsNested fields omitted: field limit.subscriptionPlanSubscriptionPlanRequired when parent is presentField path: items[].subscriptionPlanNested fields omitted: field limit.paymentsarray of PaymentRequired when parent is presentField path: items[].paymentsNested fields omitted: field limit.memberPackagesarray of MemberPackageRequired when parent is presentField path: items[].memberPackagesNested fields omitted: field limit.idnumberRequired when parent is presentField path: items[].idcreatedAtstring (date-time)Required when parent is presentField path: items[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: items[].updatedAtdeletedAtstring (date-time)Required when parent is presentField path: items[].deletedAtmetaDataobjectRequired when parent is presentField path: items[].metaDatametaPageMetaRequired6 fieldsmetapagenumberRequiredField path: meta.pagetakenumberRequiredField path: meta.takecountnumberRequiredField path: meta.countpageCountnumberRequiredField path: meta.pageCounthasPreviousPagebooleanRequiredField path: meta.hasPreviousPagehasNextPagebooleanRequiredField path: meta.hasNextPage{
"items": [
{
"paymentProviders": [],
"products": [],
"description": {},
"packageProducts": [],
"payments": [],
"memberPackages": [],
"metaData": {}
}
],
"meta": {
"page": 0,
"take": 0,
"count": 0,
"pageCount": 0,
"hasPreviousPage": true,
"hasNextPage": true
}
}Query validation failed; field codes in errors[]
messageCodestringRequired"badRequest", "internalServerError"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}namestringRequiredpaymentProvidersarray of PAYMENT_PROVIDERRequired"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"minItems: 1descriptionstringOptionalimagefileOptionalimageUrlstring (uri)OptionalbillingPeriodstringOptional"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringOptional"day", "week", "month", "year"billingPeriodFrequencynumberOptionalminimum: 1statusstringRequired"draft", "published", "archived"isAvailableOnMyPagebooleanOptionalisAvailableViaSlugbooleanOptionalisAvailableForManualOrderViaAdminbooleanOptionalonboardingWelcomeRedirectCTATextTranslationRequired5 fieldsonboardingWelcomeRedirectCTATextenstringRequiredField path: onboardingWelcomeRedirectCTAText.ennostringRequiredField path: onboardingWelcomeRedirectCTAText.nosvstringOptionalField path: onboardingWelcomeRedirectCTAText.svdastringOptionalField path: onboardingWelcomeRedirectCTAText.dakeystringOptionalField path: onboardingWelcomeRedirectCTAText.keycustomPeriodTextTranslationOptional2 required when the containing object is present5 fieldscustomPeriodTextenstringRequired when parent is presentField path: customPeriodText.ennostringRequired when parent is presentField path: customPeriodText.nosvstringOptionalField path: customPeriodText.svdastringOptionalField path: customPeriodText.dakeystringOptionalField path: customPeriodText.keyorderCtaLabelTranslationOptional2 required when the containing object is present5 fieldsorderCtaLabelenstringRequired when parent is presentField path: orderCtaLabel.ennostringRequired when parent is presentField path: orderCtaLabel.nosvstringOptionalField path: orderCtaLabel.svdastringOptionalField path: orderCtaLabel.dakeystringOptionalField path: orderCtaLabel.keyseoSeoOptional2 required when the containing object is present2 fieldsseonoIndexbooleanRequired when parent is presentField path: seo.noIndexnoFollowbooleanRequired when parent is presentField path: seo.noFollowproductsarray of PackageProductDtoOptional2 required when the containing object is present3 fieldsproductsminItems: 1productIdnumberRequired when parent is presentField path: products[].productIdminimum: 1pricenumberRequired when parent is presentField path: products[].priceminimum: 0propertiesOptionalProductPropertiesOptionalField path: products[].properties2 required when the containing object is present2 fieldsproducts[].propertiesisRequiredbooleanRequired when parent is presentField path: products[].properties.isRequiredquantityRangenumberRequired when parent is presentField path: products[].properties.quantityRangeintroPeriodFixedEndDatestring (date-time)OptionalrepeatPurchaseControlRepeatPurchaseControlOptional"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberOptionalminimum: 1paymentProvidersarray of PAYMENT_PROVIDERRequired"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"repeatPurchaseControlRepeatPurchaseControlRequired"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberdisplayOrdernumberseoSeoRequired2 fieldsseonoIndexbooleanRequiredField path: seo.noIndexnoFollowbooleanRequiredField path: seo.noFollowonboardingWelcomeRedirectCTATextTranslationRequiredCan be null5 fieldsonboardingWelcomeRedirectCTATextenstringRequired when parent is presentField path: onboardingWelcomeRedirectCTAText.ennostringRequired when parent is presentField path: onboardingWelcomeRedirectCTAText.nosvstringField path: onboardingWelcomeRedirectCTAText.svdastringField path: onboardingWelcomeRedirectCTAText.dacustomPeriodTextTranslationRequiredCan be null5 fieldscustomPeriodTextenstringRequired when parent is presentField path: customPeriodText.ennostringRequired when parent is presentField path: customPeriodText.nosvstringField path: customPeriodText.svdastringField path: customPeriodText.dakeystringField path: customPeriodText.keysubscriptionCountnumberRequiredproductsarray of PackProductRequiredCan be null14 fieldsproductsproductIdnumberRequired when parent is presentField path: products[].productIdnamestringRequired when parent is presentField path: products[].namepricenumberRequired when parent is presentField path: products[].pricecurrencystringRequired when parent is presentField path: products[].currencytaxnumberRequired when parent is presentField path: products[].taxpricenumberRequired0recurringPricenumberRequiredisAvailableOnMyPagebooleanRequiredisAvailableForManualOrderViaAdminbooleanRequiredcustomInputFieldsCustomInputFieldsRequired3 fieldscustomInputFieldsmemberTypebooleanRequiredField path: customInputFields.memberTypeinvoiceAddressbooleanRequiredField path: customInputFields.invoiceAddresscitybooleanRequiredField path: customInputFields.citysalesTitlestringRequireduuidstringRequiredsubscriptionPlanIdnumberRequiredslugstringRequiredimagestringRequirednamestringRequireddescriptionobjectRequiredbillingPeriodstringRequired"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequired"day", "week", "month", "year"billingPeriodFrequencynumberRequiredstatusstringRequired"draft", "published", "archived"isAvailableViaSlugbooleanRequiredallowSameSubscriptionChangebooleanRequiredallowDifferentSubscriptionSwitchbooleanRequiredtenantIdnumberRequiredorderCtaLabelTranslationRequired5 fieldsorderCtaLabelenstringRequiredField path: orderCtaLabel.ennostringRequiredField path: orderCtaLabel.nosvstringField path: orderCtaLabel.svdastringField path: orderCtaLabel.dakeystringField path: orderCtaLabel.keyintroPeriodFixedEndDatestring (date-time)RequiredpackageProductsarray of PackageProductRequiredNested fields omitted: field limit.subscriptionPlanSubscriptionPlanRequiredNested fields omitted: field limit.paymentsarray of PaymentRequiredNested fields omitted: field limit.memberPackagesarray of MemberPackageRequiredNested fields omitted: field limit.idnumberRequiredcreatedAtstring (date-time)RequiredupdatedAtstring (date-time)RequireddeletedAtstring (date-time)RequiredmetaDataobjectRequiredBody validation failed, a product id is unknown, the plan products are not all included, or the intro-period/billing-period combination is invalid; field codes in errors[]
messageCodestringRequired"badRequest", "internalServerError", "invalidProducts", "missingProducts"unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
subscriptionPlanNotFound
messageCodestringRequired"subscriptionPlanNotFound"messagestringfileSizeExceeded
This response has no body.
invalidFileType
This response has no body.
The image could not be stored; the package was not created
messageCodestringRequired"packageImageUploadFailed"messagecurlcurl https://api.subrite.no/api/v1/product-packages \
--request POST \
--header 'Authorization: Bearer <token>' \
--form 'salesTitle=string' \
--form 'name=string' \
--form 'image=@<file>' \
--form 'status=draft'namestringRequired when parent is presentidnumberRequired when parent is presentslugstringRequired when parent is present[
{
"packName": "string",
"name": "string",
"id": 0,
"slug": "string"
}
]unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/product-packages/free \
--header 'Authorization: Bearer <token>'packNamestringnamestringRequired when parent is presentidnumberRequired when parent is presentslugstringRequired when parent is present[
{
"packName": "string",
"name": "string",
"id": 0,
"slug": "string"
}
]unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/product-packages/manual-order \
--header 'Authorization: Bearer <token>'recurringPriceMaxnumberOptionalminimum: 0priceMinnumberOptionalminimum: 0priceMaxnumberOptionalminimum: 0createdAtFromstringOptionalcreatedAtTostringOptionalupdatedAtFromstringOptionalupdatedAtTostringOptionalisAvailableViaSlugbooleanOptionalisAvailableOnMyPagebooleanOptionalisAvailableForManualOrderViaAdminbooleanOptionalenableGiftSubscriptionbooleanOptionalnamestringOptionalpaymentProvidersarray of PAYMENT_PROVIDERRequired when parent is present"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"repeatPurchaseControlRepeatPurchaseControlRequired when parent is present"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberdisplayOrdernumberseoSeoRequired when parent is present2 fields[].seonoIndexbooleanRequired when parent is presentField path: [].seo.noIndexnoFollowbooleanRequired when parent is presentField path: [].seo.noFollowonboardingWelcomeRedirectCTATextTranslationRequired when parent is presentCan be null5 fields[].onboardingWelcomeRedirectCTATextenstringRequired when parent is presentField path: [].onboardingWelcomeRedirectCTAText.ennostringRequired when parent is presentField path: [].onboardingWelcomeRedirectCTAText.nosvstringField path: [].onboardingWelcomeRedirectCTAText.svdastringField path: [].onboardingWelcomeRedirectCTAText.dacustomPeriodTextTranslationRequired when parent is presentCan be null5 fields[].customPeriodTextenstringRequired when parent is presentField path: [].customPeriodText.ennostringRequired when parent is presentField path: [].customPeriodText.nosvstringField path: [].customPeriodText.svdastringField path: [].customPeriodText.dakeystringField path: [].customPeriodText.keysubscriptionCountnumberRequired when parent is presentproductsarray of PackProductRequired when parent is presentCan be null14 fields[].productsproductIdnumberRequired when parent is presentField path: [].products[].productIdnamestringRequired when parent is presentField path: [].products[].namepricenumberRequired when parent is presentField path: [].products[].pricecurrencystringRequired when parent is presentField path: [].products[].currencytaxnumberRequired when parent is presentField path: [].products[].taxpricenumberRequired when parent is present0recurringPricenumberRequired when parent is presentisAvailableOnMyPagebooleanRequired when parent is presentisAvailableForManualOrderViaAdminbooleanRequired when parent is presentcustomInputFieldsCustomInputFieldsRequired when parent is present3 fields[].customInputFieldsmemberTypebooleanRequired when parent is presentField path: [].customInputFields.memberTypeinvoiceAddressbooleanRequired when parent is presentField path: [].customInputFields.invoiceAddresscitybooleanRequired when parent is presentField path: [].customInputFields.citysalesTitlestringRequired when parent is presentuuidstringRequired when parent is presentsubscriptionPlanIdnumberRequired when parent is presentslugstringRequired when parent is presentimagestringRequired when parent is presentnamestringRequired when parent is presentdescriptionobjectRequired when parent is presentbillingPeriodstringRequired when parent is present"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequired when parent is present"day", "week", "month", "year"billingPeriodFrequencynumberRequired when parent is presentstatusstringRequired when parent is present"draft", "published", "archived"isAvailableViaSlugbooleanRequired when parent is presentallowSameSubscriptionChangebooleanRequired when parent is presentallowDifferentSubscriptionSwitchbooleanRequired when parent is presenttenantIdnumberRequired when parent is presentorderCtaLabelTranslationRequired when parent is present5 fields[].orderCtaLabelenstringRequired when parent is presentField path: [].orderCtaLabel.ennostringRequired when parent is presentField path: [].orderCtaLabel.nosvstringField path: [].orderCtaLabel.svdastringField path: [].orderCtaLabel.dakeystringField path: [].orderCtaLabel.keyintroPeriodFixedEndDatestring (date-time)Required when parent is presentpackageProductsarray of PackageProductRequired when parent is presentNested fields omitted: field limit.subscriptionPlanSubscriptionPlanRequired when parent is presentNested fields omitted: field limit.paymentsarray of PaymentRequired when parent is presentNested fields omitted: field limit.memberPackagesarray of MemberPackageRequired when parent is presentNested fields omitted: field limit.idnumberRequired when parent is presentcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is presentdeletedAtstring (date-time)Required when parent is presentmetaDataobjectRequired when parent is present[
{
"paymentProviders": [],
"repeatPurchaseControl": "allow",
"repeatPurchaseCooldownDays": 0,
"displayOrder": 0,
"seo": {},
"onboardingWelcomeRedirectCTAText": {},
"customPeriodText": {},
"subscriptionCount": 0,
"products": [],
"price": 0,
"recurringPrice": 0,
"isAvailableOnMyPage": true,
"isAvailableForManualOrderViaAdmin": true,
"customInputFields": {},
"salesTitle": "string",
"uuid": "string",
"subscriptionPlanId": 0,
"slug": "string",
"image": "string",
"name": "string",
"description": {},
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"status": "draft",
"isAvailableViaSlug": true,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"tenantId": 0,
"orderCtaLabel": {},
"introPeriodFixedEndDate": "2019-08-24T14:15:22Z",
"packageProducts": [],
"subscriptionPlan": {
"paymentProviders": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"metaData": {}
},
"payments": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}
]Query validation failed; field codes in errors[]
Same fields as Get all packages of the tenant (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/product-packages/all \
--header 'Authorization: Bearer <token>'{
"paymentProviders": [
"stripe"
],
"repeatPurchaseControl": "allow",
"repeatPurchaseCooldownDays": 0,
"displayOrder": 0,
"seo": {
"noIndex": true,
"noFollow": true
},
"onboardingWelcomeRedirectCTAText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"customPeriodText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"subscriptionCount": 0,
"products": [
{
"shippingCharges": []
}
],
"price": 0,
"recurringPrice": 0,
"isAvailableOnMyPage": true,
"isAvailableForManualOrderViaAdmin": true,
"customInputFields": {
"memberType": true,
"invoiceAddress": true,
"city": true
},
"salesTitle": "string",
"uuid": "string",
"subscriptionPlanId": 0,
"slug": "string",
"image": "string",
"name": "string",
"description": {},
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"status": "draft",
"isAvailableViaSlug": true,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"tenantId": 0,
"orderCtaLabel": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"introPeriodFixedEndDate": "2019-08-24T14:15:22Z",
"packageProducts": [
{
"metaData": {}
}
],
"subscriptionPlan": {
"paymentProviders": [],
"name": "string",
"uuid": "string",
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"autoRenew": true,
"status": "draft",
"tenantId": 0,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"showAsOptionOnSubscriptionSwitch": true,
"showAsOptionOnAdminSubscriptionSwitch": true,
"offerSwitchOnCheckout": true,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"payments": [
{
"metaData": {}
}
],
"memberPackages": [
{
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}The id is not an integer
messageCodestringRequired"badRequest"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}packageNotFound
messageCodestringRequired"packageNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/product-packages/{id}' \
--header 'Authorization: Bearer <token>'application/jsonThe id is not an integer, members hold subscriptions to the package, or a tenant preference still points at it
messageCodestringRequired"badRequest", "packageIsActiveAsSubscriptions", "packageIsReferencedInSettings"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}packageNotFound
Same fields as Get a package by id (404).
{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/product-packages/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'subscriptionPlanIdnumberOptionalminimum: 1namestringOptionalpaymentProvidersarray of PAYMENT_PROVIDEROptional"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"minItems: 1descriptionstringOptionalimagefileOptionalimageUrlstring (uri)OptionalbillingPeriodstringOptional"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringOptional"day", "week", "month", "year"billingPeriodFrequencynumberOptionalminimum: 1statusstringOptional"draft", "published", "archived"isAvailableOnMyPagebooleanOptionalisAvailableViaSlugbooleanOptionalisAvailableForManualOrderViaAdminbooleanOptionalonboardingWelcomeRedirectCTATextTranslationOptional2 required when the containing object is present5 fieldsonboardingWelcomeRedirectCTATextenstringRequired when parent is presentField path: onboardingWelcomeRedirectCTAText.ennostringRequired when parent is presentField path: onboardingWelcomeRedirectCTAText.nosvstringOptionalField path: onboardingWelcomeRedirectCTAText.svdastringOptionalField path: onboardingWelcomeRedirectCTAText.dakeystringOptionalField path: onboardingWelcomeRedirectCTAText.keycustomPeriodTextTranslationOptional2 required when the containing object is present5 fieldscustomPeriodTextenstringRequired when parent is presentField path: customPeriodText.ennostringRequired when parent is presentField path: customPeriodText.nosvstringOptionalField path: customPeriodText.svdastringOptionalField path: customPeriodText.dakeystringOptionalField path: customPeriodText.keyorderCtaLabelTranslationOptional2 required when the containing object is present5 fieldsorderCtaLabelenstringRequired when parent is presentField path: orderCtaLabel.ennostringRequired when parent is presentField path: orderCtaLabel.nosvstringOptionalField path: orderCtaLabel.svdastringOptionalField path: orderCtaLabel.dakeystringOptionalField path: orderCtaLabel.keyseoSeoOptional2 required when the containing object is present2 fieldsseonoIndexbooleanRequired when parent is presentField path: seo.noIndexnoFollowbooleanRequired when parent is presentField path: seo.noFollowproductsarray of PackageProductDtoOptional2 required when the containing object is present3 fieldsproductsminItems: 1productIdnumberRequired when parent is presentField path: products[].productIdminimum: 1pricenumberRequired when parent is presentField path: products[].priceminimum: 0propertiesOptionalProductPropertiesOptionalField path: products[].properties2 required when the containing object is present2 fieldsproducts[].propertiesisRequiredbooleanRequired when parent is presentField path: products[].properties.isRequiredquantityRangenumberRequired when parent is presentField path: products[].properties.quantityRangeintroPeriodFixedEndDatestring (date-time)OptionalrepeatPurchaseControlRepeatPurchaseControlOptional"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberOptionalminimum: 1imagePreviewstringOptionalpreviousImageUrlstringOptionalSame fields as Create a new package (201).
{
"paymentProviders": [
"stripe"
],
"repeatPurchaseControl": "allow",
"repeatPurchaseCooldownDays": 0,
"displayOrder": 0,
"seo": {
"noIndex": true,
"noFollow": true
},
"onboardingWelcomeRedirectCTAText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"customPeriodText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"subscriptionCount": 0,
"products": [
{
"shippingCharges": []
}
],
"price": 0,
"recurringPrice": 0,
"isAvailableOnMyPage": true,
"isAvailableForManualOrderViaAdmin": true,
"customInputFields": {
"memberType": true,
"invoiceAddress": true,
"city": true
},
"salesTitle": "string",
"uuid": "string",
"subscriptionPlanId": 0,
"slug": "string",
"image": "string",
"name": "string",
"description": {},
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"status": "draft",
"isAvailableViaSlug": true,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"tenantId": 0,
"orderCtaLabel": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"introPeriodFixedEndDate": "2019-08-24T14:15:22Z",
"packageProducts": [
{
"metaData": {}
}
],
"subscriptionPlan": {
"paymentProviders": [],
"name": "string",
"uuid": "string",
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"autoRenew": true,
"status": "draft",
"tenantId": 0,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"showAsOptionOnSubscriptionSwitch": true,
"showAsOptionOnAdminSubscriptionSwitch": true,
"offerSwitchOnCheckout": true,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"payments": [
{
"metaData": {}
}
],
"memberPackages": [
{
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}Body validation failed, the id is not an integer, a product id is unknown, or the intro-period/billing-period combination is invalid; field codes in errors[]
messageCodestringRequired"badRequest", "internalServerError", "invalidProducts", unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
fileSizeExceeded
This response has no body.
invalidFileType
This response has no body.
The new image could not be stored; nothing was saved
Same fields as Create a new package (502).
curlcurl 'https://api.subrite.no/api/v1/product-packages/{id}' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--form 'image=@<file>'Same fields as Create a new package (201).
{
"paymentProviders": [
"stripe"
],
"repeatPurchaseControl": "allow",
"repeatPurchaseCooldownDays": 0,
"displayOrder": 0,
"seo": {
"noIndex": true,
"noFollow": true
},
"onboardingWelcomeRedirectCTAText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"customPeriodText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"subscriptionCount": 0,
"products": [
{
"shippingCharges": []
}
],
"price": 0,
"recurringPrice": 0,
"isAvailableOnMyPage": true,
"isAvailableForManualOrderViaAdmin": true,
"customInputFields": {
"memberType": true,
"invoiceAddress": true,
"city": true
},
"salesTitle": "string",
"uuid": "string",
"subscriptionPlanId": 0,
"slug": "string",
"image": "string",
"name": "string",
"description": {},
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"status": "draft",
"isAvailableViaSlug": true,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"tenantId": 0,
"orderCtaLabel": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"introPeriodFixedEndDate": "2019-08-24T14:15:22Z",
"packageProducts": [
{
"metaData": {}
}
],
"subscriptionPlan": {
"paymentProviders": [],
"name": "string",
"uuid": "string",
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"autoRenew": true,
"status": "draft",
"tenantId": 0,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"showAsOptionOnSubscriptionSwitch": true,
"showAsOptionOnAdminSubscriptionSwitch": true,
"offerSwitchOnCheckout": true,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"payments": [
{
"metaData": {}
}
],
"memberPackages": [
{
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}The tenantId is not an integer, the slug is malformed, or the campaign has ended
messageCodestringRequired"badRequest", "campaignIsOver"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessage{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}No published package has that slug in the tenant, or it is not offered via its slug
messageCodestringRequired"packageNotFound", "notAvailableViaSlug"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessage{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/product-packages/slug/{tenantId}/{slug}' \
--header 'Authorization: Bearer <token>'slugstringRequired{
"slug": "string"
}A path segment is not an integer
Same fields as Get a package by id (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}packageNotFound
Same fields as Get a package by id (404).
{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/product-packages/id/{tenantId}/{id}/slug' \
--header 'Authorization: Bearer <token>'minimum0[
{
"id": 0,
"displayOrder": 0
}
]This response has no body.
Body validation failed, or a package id does not exist in this tenant; field codes in errors[]
messageCodestringRequired"badRequest", "internalServerError", "invalidPackages"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValue{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
curlcurl https://api.subrite.no/api/v1/product-packages/display-order/all \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"id": 0,
"displayOrder": 0
}
]'productsproductIdnumberRequired when parent is presentField path: products[].productIdminimum: 1quantitynumberRequired when parent is presentField path: products[].quantityminimum: 1shippingCountrystringOptionalField path: products[].shippingCountrymaxLength: 64manualPricenumberOptionalField path: products[].manualPriceSame fields as Create a new package (201).
{
"paymentProviders": [
"stripe"
],
"repeatPurchaseControl": "allow",
"repeatPurchaseCooldownDays": 0,
"displayOrder": 0,
"seo": {
"noIndex": true,
"noFollow": true
},
"onboardingWelcomeRedirectCTAText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"customPeriodText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"subscriptionCount": 0,
"products": [
{
"shippingCharges": []
}
],
"price": 0,
"recurringPrice": 0,
"isAvailableOnMyPage": true,
"isAvailableForManualOrderViaAdmin": true,
"customInputFields": {
"memberType": true,
"invoiceAddress": true,
"city": true
},
"salesTitle": "string",
"uuid": "string",
"subscriptionPlanId": 0,
"slug": "string",
"image": "string",
"name": "string",
"description": {},
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"status": "draft",
"isAvailableViaSlug": true,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"tenantId": 0,
"orderCtaLabel": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"introPeriodFixedEndDate": "2019-08-24T14:15:22Z",
"packageProducts": [
{
"metaData": {}
}
],
"subscriptionPlan": {
"paymentProviders": [],
"name": "string",
"uuid": "string",
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"autoRenew": true,
"status": "draft",
"tenantId": 0,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"showAsOptionOnSubscriptionSwitch": true,
"showAsOptionOnAdminSubscriptionSwitch": true,
"offerSwitchOnCheckout": true,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"payments": [
{
"metaData": {}
}
],
"memberPackages": [
{
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}Body validation failed; field codes in errors[]
Same fields as Get all packages of the tenant (400).
curlcurl https://api.subrite.no/api/v1/product-packages/price-by-quantity \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"packageId": 1,
"products": [
{}
]
}'optionalProductsproductIdnumberRequired when parent is presentField path: optionalProducts[].productIdminimum: 1quantitynumberRequired when parent is presentField path: optionalProducts[].quantityminimum: 1shippingCountrystringOptionalField path: optionalProducts[].shippingCountrymaxLength: 64manualPricenumberOptionalField path: optionalProducts[].manualPricepaymentDatestring (date-time)OptionalmemberIdstring (uuid)RequiredreferencestringRequiredmaxLength: 255{
"packageId": 1,
"paymentDate": "2019-08-24T14:15:22Z",
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"reference": "string"
}memberIdstringRequiredpackageIdnumberRequiredsubscriptionPlanIdnumberRequiredrecurringPricenumberRequiredhasCustomPricebooleanRequiredcurrentPricenumberRequiredstatusstringRequired"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"autoRenewbooleanRequirednextRenewalstring (date-time)RequiredrenewalAnchorDatestring (date-time)RequiredcurrentPeriodStartstring (date-time)RequiredforcedStopDatestring (date-time)RequiredcancelledAtstring (date-time)RequiredisCustomizedbooleanRequiredpaymentProviderstringRequired"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"referencestringRequiredlastActiveAtstring (date-time)RequiredisOnIntroPeriodbooleanRequirednextOrderDatestring (date-time)RequiredscheduledActivationDatestring (date-time)RequiredpackagePackageRequired35 fieldspackagepaymentProvidersarray of PAYMENT_PROVIDERRequiredField path: package.paymentProviders"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"repeatPurchaseControlRepeatPurchaseControlRequiredField path: package.repeatPurchaseControl"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberField path: package.repeatPurchaseCooldownDayssubscriptionPlanSubscriptionPlanRequiredNested fields omitted: field limit.memberMemberRequiredNested fields omitted: field limit.memberPackageProductsarray of MemberPackageProductRequiredNested fields omitted: field limit.ordersarray of OrderRequiredNested fields omitted: field limit.memberPackageProviderPaymentMemberPackageProviderPaymentRequiredNested fields omitted: field limit.changesarray of MemberPackageChangeRequiredNested fields omitted: field limit.historiesarray of MemberPackageHistoryRequiredNested fields omitted: field limit.tenantIdnumberRequiredtenantTenantRequiredNested fields omitted: field limit.idnumberRequiredcreatedAtstring (date-time)RequiredupdatedAtstring (date-time)RequireddeletedAtstring (date-time)RequiredmetaDataobjectRequiredplanNamestringRequiredpackageNamestringRequiredemailstringRequiredfullNamestringRequiredpaymentDatestringRequiredpaymentMethodstringRequiredBody validation failed; field codes in errors[]
Same fields as Get all packages of the tenant (400).
unauthorized
This response has no body.
forbiddenResource
Same fields as Get all packages of the tenant (403).
No such package, or no member with that id in this tenant
messageCodestringRequired"packageNotFound", "memberNotFound"messagestringcurlcurl https://api.subrite.no/api/v1/product-packages/subscribe \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"packageId": 1,
"optionalProducts": [
{}
],
"paymentDate": "2019-08-24T14:15:22Z",
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"reference": "string"
}'application/jsonpackageNamestringRequired when parent is presentmemberEmailstringRequired when parent is presentstatusstringRequired when parent is presentnextRenewalstring (date-time)Required when parent is presentexpiresAtstring (date-time)Required when parent is presentcurrentPeriodStartstring (date-time)Required when parent is presentautoRenewbooleanRequired when parent is present[
{
"packageName": "string",
"memberEmail": "string",
"status": "string",
"nextRenewal": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"autoRenew": true
}
]The tenantId is not an integer, the slug is malformed, the email is missing or invalid, or the campaign has ended; field codes in errors[]
messageCodestringRequired"badRequest", "internalServerError", "campaignIsOver"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}No published package has that slug in the tenant, or it is not offered via its slug
Same fields as Get a package by slug (404).
{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/product-packages/duplicated-packages-with-slug/{tenantId}/{slug}?email=%3Cemail%3E' \
--header 'Authorization: Bearer <token>'application/jsonpackageNamestringRequired when parent is presentstatusstringRequired when parent is presentplanNamestringRequired when parent is present[
{
"packageName": "string",
"status": "string",
"planName": "string"
}
]The tenantId is not an integer, or neither a valid email nor a phone is given; field codes in errors[]
Same fields as Get all packages of the tenant (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get all packages of the tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}memberNotFound
messageCodestringRequired"memberNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "memberNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/product-packages/packages-with-subscription-plans/{tenantId}' \
--header 'Authorization: Bearer <token>'maxLength: 20verdictstringRequired"allow", "warn", "block"reasonstring{
"verdict": "allow",
"reason": "string"
}A path segment is not an integer, or the email or phone is invalid; field codes in errors[]
Same fields as Get all packages of the tenant (400).
curlcurl 'https://api.subrite.no/api/v1/product-packages/repeat-purchase-eligibility/{tenantId}/{packageId}' \
--header 'Authorization: Bearer <token>'keystringbasePricenumberRequired when parent is presentrecurringPricenumberRequired when parent is presentField path: products[].recurringPriceisOptionalbooleanRequired when parent is presentField path: products[].isOptionalproductCategorystringRequired when parent is presentField path: products[].productCategory"digital_subscription", "physical_subscription", "physical", "event_ticket", "PHYSICAL_PRODUCT"circulationTypeCIRCULATION_TYPEField path: products[].circulationType"subscription", "single_copy"propertiesOptionalProductPropertiesRequired when parent is presentCan be nullField path: products[].properties2 fieldsproducts[].propertiesisRequiredbooleanRequired when parent is presentField path: products[].properties.isRequiredquantityRangenumberRequired when parent is presentField path: products[].properties.quantityRangerecurringPropertiesOptionalProductPropertiesRequired when parent is presentCan be nullField path: products[].recurringProperties2 fieldsproducts[].recurringPropertiesisRequiredbooleanRequired when parent is presentField path: products[].recurringProperties.isRequiredquantityRangenumberRequired when parent is presentField path: products[].recurringProperties.quantityRangeshippingChargesarray of ShippingChargeRequired when parent is presentField path: products[].shippingCharges2 fieldsproducts[].shippingChargescountrystringRequired when parent is presentField path: products[].shippingCharges[].countrychargenumberRequired when parent is presentField path: products[].shippingCharges[].chargedescriptionstringRequired when parent is presentField path: products[].description{
"paymentProviders": [
"stripe"
],
"repeatPurchaseControl": "allow",
"repeatPurchaseCooldownDays": 0,
"displayOrder": 0,
"seo": {
"noIndex": true,
"noFollow": true
},
"onboardingWelcomeRedirectCTAText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"customPeriodText": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"subscriptionCount": 0,
"products": [
{
"shippingCharges": []
}
],
"price": 0,
"recurringPrice": 0,
"isAvailableOnMyPage": true,
"isAvailableForManualOrderViaAdmin": true,
"customInputFields": {
"memberType": true,
"invoiceAddress": true,
"city": true
},
"salesTitle": "string",
"uuid": "string",
"subscriptionPlanId": 0,
"slug": "string",
"image": "string",
"name": "string",
"description": {},
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"status": "draft",
"isAvailableViaSlug": true,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"tenantId": 0,
"orderCtaLabel": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"introPeriodFixedEndDate": "2019-08-24T14:15:22Z",
"packageProducts": [
{
"metaData": {}
}
],
"subscriptionPlan": {
"paymentProviders": [],
"name": "string",
"uuid": "string",
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"autoRenew": true,
"status": "draft",
"tenantId": 0,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"showAsOptionOnSubscriptionSwitch": true,
"showAsOptionOnAdminSubscriptionSwitch": true,
"offerSwitchOnCheckout": true,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"payments": [
{
"metaData": {}
}
],
"memberPackages": [
{
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}"setEitherIntroPeriodFixedEndDateOrBillingPeriod""introPeriodFixedEndDateAndBillingPeriodCannotCoexist""missingUnitOrFrequencyForCustomBillingPeriod"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "subscriptionPlanNotFound",
"message": "string",
"errors": [
{}
]
}stringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "packageImageUploadFailed",
"message": "string",
"errors": [
{}
]
}keystringField path: [].onboardingWelcomeRedirectCTAText.keybasePricenumberRequired when parent is presentField path: [].products[].basePricerecurringPricenumberRequired when parent is presentField path: [].products[].recurringPriceisOptionalbooleanRequired when parent is presentField path: [].products[].isOptionalproductCategorystringRequired when parent is presentField path: [].products[].productCategory"digital_subscription", "physical_subscription", "physical", "event_ticket", "PHYSICAL_PRODUCT"circulationTypeCIRCULATION_TYPEField path: [].products[].circulationType"subscription", "single_copy"propertiesOptionalProductPropertiesRequired when parent is presentCan be nullField path: [].products[].properties2 fields[].products[].propertiesisRequiredbooleanRequired when parent is presentField path: [].products[].properties.isRequiredquantityRangenumberRequired when parent is presentField path: [].products[].properties.quantityRangerecurringPropertiesOptionalProductPropertiesRequired when parent is presentCan be nullField path: [].products[].recurringProperties2 fields[].products[].recurringPropertiesisRequiredbooleanRequired when parent is presentField path: [].products[].recurringProperties.isRequiredquantityRangenumberRequired when parent is presentField path: [].products[].recurringProperties.quantityRangeshippingChargesarray of ShippingChargeRequired when parent is presentField path: [].products[].shippingCharges2 fields[].products[].shippingChargescountrystringRequired when parent is presentField path: [].products[].shippingCharges[].countrychargenumberRequired when parent is presentField path: [].products[].shippingCharges[].chargedescriptionstringRequired when parent is presentField path: [].products[].description"setEitherIntroPeriodFixedEndDateOrBillingPeriod""introPeriodFixedEndDateAndBillingPeriodCannotCoexist""missingUnitOrFrequencyForCustomBillingPeriod"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "packageImageUploadFailed",
"message": "string",
"errors": [
{}
]
}stringerrorTypestringRequired when parent is presentField path: errors[].errorTypestringerrorTypestringRequired when parent is presentField path: errors[].errorTypeidentifierstringidentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}displayOrdernumberseoSeoCan be nullField path: package.seo2 fieldspackage.seonoIndexbooleanRequired when parent is presentField path: package.seo.noIndexnoFollowbooleanRequired when parent is presentField path: package.seo.noFollowsalesTitlestringRequiredField path: package.salesTitleuuidstringRequiredField path: package.uuidsubscriptionPlanIdnumberRequiredField path: package.subscriptionPlanIdslugstringRequiredField path: package.slugimagestringRequiredField path: package.imagenamestringRequiredField path: package.namedescriptionobjectRequiredField path: package.descriptionbillingPeriodstringRequiredField path: package.billingPeriod"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequiredField path: package.billingPeriodUnit"day", "week", "month", "year"billingPeriodFrequencynumberRequiredField path: package.billingPeriodFrequencystatusstringRequiredField path: package.status"draft", "published", "archived"isAvailableOnMyPagebooleanRequiredField path: package.isAvailableOnMyPageisAvailableViaSlugbooleanRequiredField path: package.isAvailableViaSlugisAvailableForManualOrderViaAdminbooleanRequiredField path: package.isAvailableForManualOrderViaAdminallowSameSubscriptionChangebooleanRequiredField path: package.allowSameSubscriptionChangeallowDifferentSubscriptionSwitchbooleanRequiredField path: package.allowDifferentSubscriptionSwitchtenantIdnumberRequiredField path: package.tenantIdonboardingWelcomeRedirectCTATextTranslationRequiredField path: package.onboardingWelcomeRedirectCTATextNested fields omitted: field limit.customPeriodTextTranslationRequiredField path: package.customPeriodTextNested fields omitted: field limit.orderCtaLabelTranslationRequiredField path: package.orderCtaLabelNested fields omitted: field limit.introPeriodFixedEndDatestring (date-time)RequiredField path: package.introPeriodFixedEndDatepackageProductsarray of PackageProductRequiredField path: package.packageProductsNested fields omitted: field limit.subscriptionPlanSubscriptionPlanRequiredField path: package.subscriptionPlanNested fields omitted: field limit.paymentsarray of PaymentRequiredField path: package.paymentsNested fields omitted: field limit.memberPackagesarray of MemberPackageRequiredField path: package.memberPackagesNested fields omitted: field limit.idnumberRequiredField path: package.idcreatedAtstring (date-time)RequiredField path: package.createdAtupdatedAtstring (date-time)RequiredField path: package.updatedAtdeletedAtstring (date-time)RequiredField path: package.deletedAtmetaDataobjectRequiredField path: package.metaData{
"memberId": "string",
"packageId": 0,
"subscriptionPlanId": 0,
"recurringPrice": 0,
"hasCustomPrice": true,
"currentPrice": 0,
"status": "active",
"autoRenew": true,
"nextRenewal": "2019-08-24T14:15:22Z",
"renewalAnchorDate": "2019-08-24T14:15:22Z",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"forcedStopDate": "2019-08-24T14:15:22Z",
"cancelledAt": "2019-08-24T14:15:22Z",
"isCustomized": true,
"paymentProvider": "stripe",
"reference": "string",
"lastActiveAt": "2019-08-24T14:15:22Z",
"isOnIntroPeriod": true,
"nextOrderDate": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z",
"package": {
"paymentProviders": [],
"repeatPurchaseControl": "allow",
"repeatPurchaseCooldownDays": 0,
"displayOrder": 0,
"seo": {},
"salesTitle": "string",
"uuid": "string",
"subscriptionPlanId": 0,
"slug": "string",
"image": "string",
"name": "string",
"description": {},
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"status": "draft",
"isAvailableOnMyPage": true,
"isAvailableViaSlug": true,
"isAvailableForManualOrderViaAdmin": true,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"tenantId": 0,
"onboardingWelcomeRedirectCTAText": {},
"customPeriodText": {},
"orderCtaLabel": {},
"introPeriodFixedEndDate": "2019-08-24T14:15:22Z",
"packageProducts": [],
"subscriptionPlan": {
"paymentProviders": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"metaData": {}
},
"payments": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"subscriptionPlan": {
"paymentProviders": [],
"name": "string",
"uuid": "string",
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"autoRenew": true,
"status": "draft",
"tenantId": 0,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"showAsOptionOnSubscriptionSwitch": true,
"showAsOptionOnAdminSubscriptionSwitch": true,
"offerSwitchOnCheckout": true,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"member": {
"userId": 0,
"memberNumber": 0,
"tenantId": 0,
"externalId": "string",
"fullName": "<fullName>",
"nickName": "string",
"avatar": "string",
"email": "string",
"birthDate": "<birthDate>",
"phone": "<phone>",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"deleteAfterExpiration": true,
"customPropertyValues": {},
"productRecipients": [],
"id": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"memberPackageProducts": [
{
"memberPackageProductEmailDomains": [],
"memberPackageProductIps": [],
"seats": [],
"recipients": [],
"metaData": {}
}
],
"orders": [
{
"orderItems": [],
"metaData": {}
}
],
"memberPackageProviderPayment": {
"memberPackageId": 0,
"paymentInfo": {},
"isSaved": true,
"cardInfo": {},
"memberPackage": {
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"changes": [
{
"metaData": {}
}
],
"histories": [
{
"newData": {},
"metaData": {}
}
],
"tenantId": 0,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {},
"planName": "string",
"packageName": "string",
"email": "string",
"fullName": "<fullName>",
"paymentDate": "string",
"paymentMethod": "string"
}{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "packageNotFound",
"message": "string",
"errors": [
{}
]
}messagestringerrorTypestringRequired when parent is presentField path: errors[].errorTypemessagestringerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}